@font-face {
    font-family: 'YekanBakh';
    src: url('../fonts/Pro/Yekan\ Bakh\ Variable/webfonts/YekanBakhFaNum-VF.woff') format('woff-variations');
    font-weight: 100 1000;
    font-display: fallback;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'YekanBakh', 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    direction: rtl;
}

.container {
    width: 100%;
    margin: auto;
    padding: 0 1rem;
}

button {
    border: none;
    cursor: pointer;
    background: none;
}

html {
    scroll-behavior: smooth;
    height: 100vh;
}

body {
    background-color: #F5FCFB;
    background-image: url(../img/Mask\ group-1.svg);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

body.no-scroll {
    overflow: hidden;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(1px);
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 3;
    display: none;
}

.overlay.active {
    display: block;
}

a {
    text-decoration: none;
    cursor: pointer;
}

/* Nav */

.nav {
    position: sticky;
    top: 0;
    z-index: 2;
}

.nav.scrolled {
    background-color: rgba(255, 255, 255, 0.85);
    backdrop-filter: blur(32px);
    -webkit-backdrop-filter: blur(32px);
    border: 1px solid #DAE1DD80;
}

.nav .content {
    display: flex;
    justify-content: space-between;
    height: 5.5rem;
    align-items: center;
    padding: 0.5rem;
    width: 100%;
}

.nav-menu {
    display: flex;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    flex-direction: column;
    width: 13.1rem;
    height: 100vh;
    background-color: #FFFFFF;
    border-radius: 1rem 0 0 1rem;
    gap: 3.25rem;
    padding: 1rem;
    z-index: 5;
    transform: translateX(100%);
    transition: transform 0.5s ease-out;
}

.nav-menu-active {
    transform: translateX(0);
}

.nav-menu-back-button {
    display: flex;
    justify-content: center;
    padding: 0.75rem 1rem;
    width: 100%;
    gap: 5rem;
    background-color: #f6fffd;
    border-radius: 1rem;
}

.back-button {
    display: flex;
    align-items: center;
}

.nav-menu>ul {
    list-style-type: none;
}

.background {
    padding: 1px;
    background: linear-gradient(165deg, #48cfad8a 10% 10%, #FFFFFF 30%, #FFFFFF 70%, #FFFFFF 70%, #48cfad8a 90%);
    border-radius: 1rem;
}

.nav-menu-option {
    display: flex;
    align-items: center;
    height: 3rem;
    padding: 1rem;
    gap: 0.5rem;
    border-radius: 1rem;
    cursor: pointer;
}

.nav-menu-option p {
    color: #474747;
    font-weight: 600;
    font-size: 0.9rem;
}

.profile {
    background-color: #f6fffd;
}

.nav-menu-option:nth-child(2) {
    flex-direction: column !important;
    align-items: unset;
    transform: translateY(-5px);
}

.nav-menu-exams-button {
    display: flex;
    align-items: center;
    height: 3rem;
    gap: 0.75rem;
    border-radius: 1rem;
    cursor: pointer;
}

.nav-options-about p {
    color: #48CFAD !important;
}

.profile p {
    color: #48CFAD;
}

.nav-exams-dropdown-button {
    margin-right: auto;
    transition: all .2s ease;
    width: 1rem;
    height: 1rem;
}

.nav-exams-dropdown-button img {
    width: 1rem;
    height: 1rem;
}

.nav-exams-dropdown-button-active {
    transform: rotate(180deg);
}

.nav-exams-dropdown {
    margin-right: 2rem;
    list-style-image: url(../img/list-style-image.svg);
    transform: translateY(-72%);
    opacity: 0;
    transition: transform .2s ease,
        opacity .1s ease-in;
    pointer-events: none;
}

.nav-exams-dropdown-active {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
}

.nav-exams-dropdown li a {
    font-size: 0.75rem;
    color: #767676;
    font-weight: 600;
}

.log-out {
    display: flex;
    margin-top: auto;
    width: 100%;
    justify-content: start;
    background-color: #FA3D6D14;
    padding: 0.75rem 1rem;
    border-radius: 1rem;
    gap: 0.5rem;
}

.log-out-txt {
    color: #FA3D6D;
}

.nav-options {
    display: none;
}

.nav-hamburger-button {
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 0.75rem;
}

.nav-logo-container {
    display: inline-block;
    width: 6.7rem;
    height: 3.4rem;
}

.nav-logo-img {
    width: 6.7rem;
    height: 3.4rem;
}

.nav-profile-button {
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 0.75rem;
}

.profile-img {
    width: 2.5rem;
}

/* Main */

.cover {
    display: none;
}

main .content {
    display: flex;
    flex-direction: column;
    margin: 1.5rem auto;
    background-color: #FFFFFF;
    border-radius: 2rem;
    box-shadow: 0px 0px 8px 0px #0000000D, 0px 2px 2px 0px #0000000D;
}

main .contxt {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    gap: 3rem;
}

.contxt-header {
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 0.75rem;
}

.contxt-header p {
    font-size: 1.5rem;
    font-weight: 700;
    color: #48CFAD;
    text-wrap: nowrap;
}

.separator {
    width: 100%;
    height: 0;
    border: 1px solid #48CFAD29;
}

.contxt-main {
    display: flex;
    flex-direction: column;
    gap: 3.75rem;
}

.contxt-main .title {
    font-size: 1rem;
    color: #474747;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.contxt-main .text {
    font-size: 0.87rem;
    color: #838383;
}

.contxt-main .socials {
    display: flex;
    flex-direction: column;
    margin-top: 1.5rem;
    gap: 0.75rem;
    align-items: end;
}

.phone-number,
.gmail {
    display: flex;
    gap: 0.34rem;
    padding: 0.375rem 0.75rem 0.375rem 0.375rem;
    background-color: #F5FAF9;
    border-radius: 1rem;
    align-items: center;
}

.phone-number,
.gmail p {
    color: #48CFAD;
    font-size: 1rem;
    font-weight: 600;
}

/* Footer */

.footer .container {
    margin-bottom: 1rem;
    display: flex;
    justify-content: center;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 2rem;
    text-align: center;
    width: 100%;
    box-shadow: 0px 0px 8px 0px #0000000D, 0px 2px 2px 0px #0000000D;
}

.logo-contact {
    display: flex;
    justify-content: space-between;
    padding: 1.5rem;
    width: 100%;
}

.footer-logo {
    cursor: pointer;
}

.socials {
    display: flex;
    gap: 1rem;
}

.border {
    width: 85%;
    border-bottom: 1px solid #DAE1DD;
    opacity: 0.5;
}

.copyright {
    margin: 1rem;
    color: #5BA794;
    font-size: 0.75rem;
    opacity: 0.4;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }

    main .contxt {
        padding: 2.5rem;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }

    main .content {
        margin: 2.25rem auto;
    }

    main .contxt {
        padding: 3rem;
    }

    .contxt-header p {
        font-size: 1.75rem;
    }
}

@media (min-width: 992px) {
    body {
        background-color: #F5FCFB;
        background-image: url(../img/Mask\ group-2.svg);
    }

    .container {
        max-width: 960px;
    }

    .nav .container {
        position: sticky;
        top: 0;
    }

    .nav-button {
        display: none;
    }

    .nav-options {
        display: flex;
        justify-content: space-between;
        align-items: center;
        list-style-type: none;
        gap: 0.25rem;
    }

    .nav-options>li {
        padding: 0.75rem;
        border-radius: 1rem;
        cursor: pointer;
    }

    .nav-options>li:first-child a {
        color: #48CFAD;
    }

    .nav-options p {
        font-size: 1rem;
        color: #737373;
    }

    .nav-menu-exams-button {
        height: unset;
    }

    .dropdown {
        height: 2.8rem;
    }

    .nav-exams-dropdown {
        position: fixed;
        margin-top: 1rem;
        margin-right: unset;
        padding: 0.75rem 1.8rem 0.75rem 1.2rem;
        background-color: #FFFFFF;
        border-radius: 1.5rem;
    }

    .nav-profile-button {
        width: 3rem;
        height: 3rem;
    }

    .profile-img {
        width: 3rem;
    }

    main {
        margin-bottom: 0.5rem;
    }

    main .content {
        height: 100%;
        margin-top: 0.5rem;
    }

    main .contxt {
        padding: 1.5rem;
        height: 100%;
        gap: 1.75rem;
    }

    .contxt-main {
        gap: 3.25rem;
    }

    .contxt-main .socials {
        flex-direction: row;
    }

    .border {
        width: 90%;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }

    main .content {
        flex-direction: row;
        margin: 3rem auto;
    }

    .cover {
        display: unset;
        margin: 0.5rem;
        border-radius: 2rem;
        width: 490px;
    }

    main .contxt {
        padding: 2rem 4rem;
    }

    .contxt-header p {
        font-size: 2rem;
    }

    .phone-number,
    .gmail p {
        font-size: 1.1rem;
    }

    .border {
        width: 95%;
    }
}